<?php
/**
 * Theme functions and definitions.
 *
 * For additional information on potential customization options,
 * read the developers' documentation:
 *
 * https://developers.elementor.com/docs/hello-elementor-theme/
 *
 * @package HelloElementorChild
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

define( 'HELLO_ELEMENTOR_CHILD_VERSION', '2.0.0' );

/**
 * Load child theme scripts & styles.
 *
 * @return void
 */
function hello_elementor_child_scripts_styles() {

	wp_enqueue_style(
		'hello-elementor-child-style',
		get_stylesheet_directory_uri() . '/style.css',
		[
			'hello-elementor-theme-style',
		],
		HELLO_ELEMENTOR_CHILD_VERSION
	);

}
add_action( 'wp_enqueue_scripts', 'hello_elementor_child_scripts_styles', 20 );

function ajouter_role_membre_woocommerce() {
    $role = get_role( 'subscriber' ); // Récupérer le rôle "Abonné"
    
    // Ajouter un nouveau rôle basé sur le rôle "Abonné"
    add_role( 'membre', __('Membre'), $role->capabilities );

    // Ajouter des capacités pour acheter des produits WooCommerce
    $role = get_role( 'membre' );
    $role->add_cap( 'read' );
    $role->add_cap( 'read_private_pages' );
    $role->add_cap( 'read_private_posts' );
    $role->add_cap( 'edit_shop_orders' );
    $role->add_cap( 'edit_shop_coupons' );

    // Ajouter d'autres capacités nécessaires pour WooCommerce
    // $role->add_cap( 'capacite_requise' );
}
add_action( 'init', 'ajouter_role_membre_woocommerce' );

